Bug 378363 - Inline forwarding crashes KMail
Summary: Inline forwarding crashes KMail
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.4.3
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-04-02 10:40 UTC by micu
Modified: 2021-01-16 04:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description micu 2017-04-02 10:40:53 UTC
Application: kmail (5.4.3)

Qt Version: 5.7.1
Frameworks Version: 5.32.0
Operating System: Linux 4.10.6-200.fc25.x86_64 x86_64
Distribution: "Fedora release 25 (Twenty Five)"

-- Information about the crash:
- What I was doing when the application crashed:
I simply tried to inline forward a message, that is all.
Then KMail crashes.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f01fd83c940 (LWP 4345))]

Thread 30 (Thread 0x7f00d51ed700 (LWP 4429)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0214da4f93 in JSC::GCThread::waitForNextPhase() () at /lib64/libQt5WebKit.so.5
#2  0x00007f0214da5020 in JSC::GCThread::gcThreadMain() () at /lib64/libQt5WebKit.so.5
#3  0x00007f02150ab451 in WTF::wtfThreadEntryPoint(void*) () at /lib64/libQt5WebKit.so.5
#4  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#5  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 29 (Thread 0x7f00d59ee700 (LWP 4428)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0214da4f93 in JSC::GCThread::waitForNextPhase() () at /lib64/libQt5WebKit.so.5
#2  0x00007f0214da5020 in JSC::GCThread::gcThreadMain() () at /lib64/libQt5WebKit.so.5
#3  0x00007f02150ab451 in WTF::wtfThreadEntryPoint(void*) () at /lib64/libQt5WebKit.so.5
#4  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#5  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7f00d61ef700 (LWP 4427)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0214da4f93 in JSC::GCThread::waitForNextPhase() () at /lib64/libQt5WebKit.so.5
#2  0x00007f0214da5020 in JSC::GCThread::gcThreadMain() () at /lib64/libQt5WebKit.so.5
#3  0x00007f02150ab451 in WTF::wtfThreadEntryPoint(void*) () at /lib64/libQt5WebKit.so.5
#4  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#5  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7f00d69f0700 (LWP 4426)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0214da414c in JSC::BlockAllocator::blockFreeingThreadMain() () at /lib64/libQt5WebKit.so.5
#2  0x00007f02150ab451 in WTF::wtfThreadEntryPoint(void*) () at /lib64/libQt5WebKit.so.5
#3  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#4  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7f00d72f3700 (LWP 4425)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0215083c16 in WTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5WebKit.so.5
#2  0x00007f0215083c39 in  () at /lib64/libQt5WebKit.so.5
#3  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#4  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7f015d0ac700 (LWP 4402)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219213c49 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f0219214289 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0219214440 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7f015d8ad700 (LWP 4401)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219213c49 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f0219214289 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0219214440 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7f01602b6700 (LWP 4400)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0205de42f4 in QTWTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5Script.so.5
#2  0x00007f0205de4339 in  () at /lib64/libQt5Script.so.5
#3  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#4  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7f0191ffb700 (LWP 4378)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219213c49 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f0219214289 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0219214440 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7f01937fe700 (LWP 4375)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0218db51c0 in mojo::system::Waiter::Wait(unsigned long, unsigned long*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f0218d9dff0 in mojo::system::Core::WaitManyInternal(unsigned int const*, unsigned int const*, unsigned int, unsigned long, unsigned int*, mojo::system::HandleSignalsState*) () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0218d9e37b in mojo::system::Core::Wait(unsigned int, unsigned int, unsigned long, mojo::system::UserPointer<MojoHandleSignalsState>) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0218d9a00a in MojoWait () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f0219f1382e in mojo::common::MessagePumpMojo::WaitForReadyHandles(mojo::common::MessagePumpMojo::RunState const&) const () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f0219f15be4 in mojo::common::MessagePumpMojo::DoInternalWork(mojo::common::MessagePumpMojo::RunState const&, bool) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f0219f15c35 in mojo::common::MessagePumpMojo::DoRunLoop(mojo::common::MessagePumpMojo::RunState*, base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f0219f15d09 in mojo::common::MessagePumpMojo::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007f02192149fa in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#14 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7f0193fff700 (LWP 4374)):
#0  0x00007f01ff4d4923 in pa_atomic_load (a=0x7f0174000960) at pulsecore/atomic.h:55
#1  0x00007f01ff4d4923 in prepare_next_write_item (p=0x7f0174000960) at pulsecore/pstream.c:589
#2  0x00007f01ff4d4923 in do_write (p=p@entry=0x7f0174000960) at pulsecore/pstream.c:743
#3  0x00007f01ff4d57a8 in do_pstream_read_write (p=0x7f0174000960) at pulsecore/pstream.c:258
#4  0x00007f01ff4d5ac9 in srb_callback (srb=<optimized out>, userdata=0x7f0174000960) at pulsecore/pstream.c:287
#5  0x00007f01ff4d634a in srbchannel_rwloop (sr=0x7f017400ae70) at pulsecore/srbchannel.c:190
#6  0x00007f0201b9174c in dispatch_pollfds (m=0x559e5ce22170) at pulse/mainloop.c:655
#7  0x00007f0201b9174c in pa_mainloop_dispatch (m=m@entry=0x559e5ce22170) at pulse/mainloop.c:898
#8  0x00007f0201b91b4c in pa_mainloop_iterate (m=0x559e5ce22170, block=<optimized out>, retval=0x0) at pulse/mainloop.c:929
#9  0x00007f0201b91bf0 in pa_mainloop_run (m=0x559e5ce22170, retval=retval@entry=0x0) at pulse/mainloop.c:944
#10 0x00007f0201b9fbd9 in thread (userdata=0x559e5ce20ee0) at pulse/thread-mainloop.c:100
#11 0x00007f01ff4e61d8 in internal_thread_func (userdata=0x559e5ce1d650) at pulsecore/thread-posix.c:81
#12 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#13 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7f01b4ff9700 (LWP 4373)):
#0  0x00007f021e289809 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219208912 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192091b5 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f02191eae51 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f02192149fa in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7f01b57fa700 (LWP 4372)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f02188cea0d in cc::SingleThreadTaskGraphRunner::Run() () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f021921431e in base::DelegateSimpleThread::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0219214440 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7f01b5ffb700 (LWP 4371)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219209125 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192091e5 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f02191eae13 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f02192149fa in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7f01b67fc700 (LWP 4370)):
#0  0x00007f0221ca0f5c in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f0221ca2b64 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f0209b7f86e in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007f0209b7fa64 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007f0209b841e8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007f0209b6e18a in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007f02191c197e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f02184f5fa8 in content::BrowserThreadImpl::IOThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f02184f60eb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007f0219214a78 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#14 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7f01b6ffd700 (LWP 4369)):
#0  0x00007f0221ca0f5c in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f0221ca2b64 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f0209b7f86e in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007f0209b7fa64 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007f0209b841e8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007f0209b6e18a in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007f02191c197e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f02184f5ef8 in content::BrowserThreadImpl::CacheThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f02184f614b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007f0219214a78 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#14 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7f01b77fe700 (LWP 4368)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219209125 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192091e5 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f02191eae13 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f02184f5e48 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f02184f613b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f0219214a78 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#11 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7f01b7fff700 (LWP 4367)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219209125 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192091e5 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f02191eae13 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f02184f5d98 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f02184f612b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f0219214a78 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#11 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7f01ccff9700 (LWP 4366)):
#0  0x00007f0221c82c4d in write () at /lib64/libc.so.6
#1  0x00007f0221c05a57 in _IO_new_file_write () at /lib64/libc.so.6
#2  0x00007f0221c06368 in __GI__IO_file_xsputn () at /lib64/libc.so.6
#3  0x00007f0221bdba45 in buffered_vfprintf () at /lib64/libc.so.6
#4  0x00007f0221bd8bf5 in vfprintf () at /lib64/libc.so.6
#5  0x00007f0221ca2bb9 in __fprintf_chk () at /lib64/libc.so.6
#6  0x00007f0209b7f86e in _warn_helper () at /lib64/libevent-2.0.so.5
#7  0x00007f0209b7fa64 in event_warn () at /lib64/libevent-2.0.so.5
#8  0x00007f0209b841e8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#9  0x00007f0209b6e18a in event_base_loop () at /lib64/libevent-2.0.so.5
#10 0x00007f02191c197e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007f02184f5ce8 in content::BrowserThreadImpl::FileThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#14 0x00007f02184f611b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#15 0x00007f0219214a78 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#16 0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#17 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#18 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7f01cd7fa700 (LWP 4365)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219209125 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192091e5 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f02191eae13 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f02184f5c38 in content::BrowserThreadImpl::DBThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f02184f610b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f0219214a78 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#11 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7f01cdffb700 (LWP 4364)):
#0  0x00007f021e289809 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219208912 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192174f0 in base::PosixDynamicThreadPool::WaitForTask() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0219217a23 in base::(anonymous namespace)::WorkerThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7f01ce7fc700 (LWP 4363)):
#0  0x00007f021e289809 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219208912 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192174f0 in base::PosixDynamicThreadPool::WaitForTask() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f0219217a23 in base::(anonymous namespace)::WorkerThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7f01ceffd700 (LWP 4362)):
#0  0x00007f021e289460 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f0219209125 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007f02192091e5 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007f02191eae13 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007f02192149fa in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7f01cf7fe700 (LWP 4361)):
#0  0x00007f0221ca0f5c in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f0221ca2b64 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f0209b7f86e in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007f0209b7fa64 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007f0209b841e8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007f0209b6e18a in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007f02191c197e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007f02191fc84a in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007f02191e72e5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007f02192149fa in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007f0219210fdc in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#12 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f01e8d67700 (LWP 4350)):
#0  0x00007f0221c82bed in read () at /lib64/libc.so.6
#1  0x00007f020e1c04d0 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00007f020e17bc83 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x00007f020e17c104 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x00007f020e17c27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x00007f0222a8d6eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f01d40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f0222a3e68a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f01e8d66c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f022289b5e3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#8  0x00007f022289f9ca in QThreadPrivate::start(void*) (arg=0x559e5ca81600) at thread/qthread_unix.cpp:368
#9  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#10 0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f01e9568700 (LWP 4349)):
#0  0x00007f020e1c1894 in g_mutex_unlock () at /lib64/libglib-2.0.so.0
#1  0x00007f020e17b791 in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#2  0x00007f020e17c08b in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x00007f020e17c27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x00007f0222a8d6eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f01e00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f0222a3e68a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f01e9567c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f022289b5e3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#7  0x00007f022289f9ca in QThreadPrivate::start(void*) (arg=0x559e5cb29c00) at thread/qthread_unix.cpp:368
#8  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f01e9d69700 (LWP 4348)):
#0  0x00007f0221c8701d in poll () at /lib64/libc.so.6
#1  0x00007f020e17c166 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f020e17c27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f0222a8d6eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f01dc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f0222a3e68a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f01e9d68c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f022289b5e3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:507
#6  0x00007f022289f9ca in QThreadPrivate::start(void*) (arg=0x559e5ca7ce60) at thread/qthread_unix.cpp:368
#7  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#8  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f01eaf7a700 (LWP 4347)):
#0  0x00007f0221c8701d in poll () at /lib64/libc.so.6
#1  0x00007f020e17c166 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f020e17c27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f0222a8d6eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f01e40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f0222a3e68a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f01eaf79c40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f022289b5e3 in QThread::exec() (this=this@entry=0x7f0223aaa060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:507
#6  0x00007f0223a34739 in QDBusConnectionManager::run() (this=0x7f0223aaa060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0x00007f022289f9ca in QThreadPrivate::start(void*) (arg=0x7f0223aaa060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#8  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#9  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f01f4305700 (LWP 4346)):
#0  0x00007f0221c8701d in poll () at /lib64/libc.so.6
#1  0x00007f020d870d10 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007f020d872aa9 in xcb_wait_for_event () at /lib64/libxcb.so.1
#3  0x00007f01f6c6ad69 in QXcbEventReader::run() () at /lib64/libQt5XcbQpa.so.5
#4  0x00007f022289f9ca in QThreadPrivate::start(void*) (arg=0x559e5c69f600) at thread/qthread_unix.cpp:368
#5  0x00007f021e2836ca in start_thread () at /lib64/libpthread.so.0
#6  0x00007f0221c92f7f in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f01fd83c940 (LWP 4345)):
[KCrash Handler]
#6  0x0000000000000000 in  ()
#7  0x00007f021ce0117c in KMime::Content::assemble() () at /lib64/libKF5Mime.so.5
#8  0x00007f021ce01239 in KMime::Content::assemble() () at /lib64/libKF5Mime.so.5
#9  0x00007f022775206f in TemplateParser::TemplateParser::addProcessedBodyToMessage(QString const&, QString const&) const () at /lib64/libKF5TemplateParser.so.5
#10 0x00007f0227754299 in TemplateParser::TemplateParser::processWithTemplate(QString const&) () at /lib64/libKF5TemplateParser.so.5
#11 0x00007f022774eec4 in TemplateParser::TemplateParser::process(QSharedPointer<KMime::Message> const&, Akonadi::Collection const&) () at /lib64/libKF5TemplateParser.so.5
#12 0x00007f022062221f in MessageComposer::MessageFactory::createForward() () at /lib64/libKF5MessageComposer.so.5
#13 0x00007f0227e359fa in KMForwardCommand::createComposer(Akonadi::Item const&) () at /lib64/libkmailprivate.so.5
#14 0x00007f0227e3616d in KMForwardCommand::execute() () at /lib64/libkmailprivate.so.5
#15 0x00007f0227e2de31 in KMCommand::slotPostTransfer(KMCommand::Result) () at /lib64/libkmailprivate.so.5
#16 0x00007f0222a66a56 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7fff537b6f10, r=0x559e62b7c530, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:101
#17 0x00007f0222a66a56 in QMetaObject::activate(QObject*, int, int, void**) (sender=0x559e62b7c530, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3723
#18 0x00007f0227f46cfe in KMCommand::messagesTransfered(KMCommand::Result) () at /lib64/libkmailprivate.so.5
#19 0x00007f0227e31de1 in KMCommand::slotJobFinished() () at /lib64/libkmailprivate.so.5
#20 0x00007f0222a66a56 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7fff537b70c0, r=0x559e62b7c530, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:101
#21 0x00007f0222a66a56 in QMetaObject::activate(QObject*, int, int, void**) (sender=sender@entry=0x559e5f6783f0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff537b70c0) at kernel/qobject.cpp:3723
#22 0x00007f0222a66fc7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x559e5f6783f0, m=m@entry=0x7f0223a1af40 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff537b70c0) at kernel/qobject.cpp:3602
#23 0x00007f02237c7682 in KJob::result(KJob*, KJob::QPrivateSignal) (this=this@entry=0x559e5f6783f0, _t1=<optimized out>, _t1@entry=0x559e5f6783f0) at /usr/src/debug/kcoreaddons-5.32.0/x86_64-redhat-linux-gnu/src/lib/moc_kjob.cpp:568
#24 0x00007f02237c8fc1 in KJob::finishJob(bool) (this=0x559e5f6783f0, emitResult=<optimized out>) at /usr/src/debug/kcoreaddons-5.32.0/src/lib/jobs/kjob.cpp:109
#25 0x00007f02263e83e9 in Akonadi::Job::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libKF5AkonadiCore.so.5
#26 0x00007f0222a677e9 in QObject::event(QEvent*) (this=0x559e5f6783f0, e=<optimized out>) at kernel/qobject.cpp:1263
#27 0x00007f022327fecc in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x559e5f6783f0, e=0x559e5f655b00) at kernel/qapplication.cpp:3799
#28 0x00007f0223287671 in QApplication::notify(QObject*, QEvent*) (this=0x7fff537b7d70, receiver=0x559e5f6783f0, e=0x559e5f655b00) at kernel/qapplication.cpp:3556
#29 0x00007f0222a3f6fa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x559e5f6783f0, event=event@entry=0x559e5f655b00) at kernel/qcoreapplication.cpp:988
#30 0x00007f0222a41de0 in QCoreApplication::sendEvent(QObject*, QEvent*) (event=0x559e5f655b00, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#31 0x00007f0222a41de0 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x559e5c6774f0) at kernel/qcoreapplication.cpp:1649
#32 0x00007f0222a422b8 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1503
#33 0x00007f0222a8d653 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x559e5c6c4ad0) at kernel/qeventdispatcher_glib.cpp:276
#34 0x00007f020e17be52 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#35 0x00007f020e17c1d0 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#36 0x00007f020e17c27c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#37 0x00007f0222a8d6cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x559e5c6c2060, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#38 0x00007f0222a3e68a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff537b7690, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#39 0x00007f0222a4618c in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1261
#40 0x0000559e5a6b3cab in main ()

Reported using DrKonqi
Comment 1 Justin Zobel 2020-12-17 05:28:26 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 2 Bug Janitor Service 2021-01-01 04:36:37 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Bug Janitor Service 2021-01-16 04:35:38 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!